import { createVNode, createTextVNode } from 'inferno';

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import { createElement } from 'inferno-create-element';
import classNames from 'classnames';
import { mapToCssModules } from './utils';

var defaultProps = {
  color: 'success',
  tag: 'div'
};

var Alert = function Alert(props) {
  var children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      Tag = props.tag,
      color = props.color,
      onClose = props.onClose,
      attributes = _objectWithoutProperties(props, ['children', 'className', 'cssModule', 'tag', 'color', 'onClose']);

  var classes = mapToCssModules(classNames(className, 'alert', 'alert-' + color, { 'alert-dismissible': onClose }), cssModule);

  var closeClasses = mapToCssModules('close', cssModule);

  Object.assign(attributes, {
    className: classes,
    role: 'alert'
  });

  var childEls = [onClose ? createVNode(1, 'button', closeClasses, createVNode(1, 'span', null, createTextVNode('\xD7'), 2, {
    'aria-hidden': 'true'
  }), 2, {
    'type': 'button',
    'aria-label': 'Close',
    'onClick': onClose
  }) : null, children];

  return createElement(Tag, attributes, childEls);
};

Alert.defaultProps = defaultProps;

export default Alert;