function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import { createElement } from 'inferno-create-element';
import classNames from 'classnames';
import { mapToCssModules } from '../utils';

var defaultProps = {
  tag: 'small'
};

var FormText = function FormText(props) {
  var children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      inline = props.inline,
      color = props.color,
      Tag = props.tag,
      attributes = _objectWithoutProperties(props, ['children', 'className', 'cssModule', 'inline', 'color', 'tag']);

  var classes = mapToCssModules(classNames(className, !inline ? 'form-text' : false, color ? 'text-' + color : typeof color === 'undefined' && 'text-muted'), cssModule);

  Object.assign(attributes, { className: classes });

  return createElement(Tag, attributes, children);
};

FormText.defaultProps = defaultProps;

export default FormText;