import { createComponentVNode } from 'inferno';

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import { createElement } from 'inferno-create-element';
import classNames from 'classnames';
import { mapToCssModules } from '../utils';
import InputGroupText from './InputGroupText';

var defaultProps = {
  tag: 'div'
};

var InputGroupAddon = function InputGroupAddon(props) {
  var className = props.className,
      cssModule = props.cssModule,
      Tag = props.tag,
      addonType = props.addonType,
      children = props.children,
      attributes = _objectWithoutProperties(props, ['className', 'cssModule', 'tag', 'addonType', 'children']);

  var classes = mapToCssModules(classNames(className, 'input-group-' + addonType), cssModule);

  // Convenience to assist with transition
  if (typeof children === 'string') {
    Object.assign(attributes, { className: classes });

    return createElement(Tag, attributes, createComponentVNode(2, InputGroupText, {
      children: children
    }));
  }

  Object.assign(attributes, { className: classes });

  return createElement(Tag, attributes, children);
};

InputGroupAddon.defaultProps = defaultProps;

export default InputGroupAddon;