import { createComponentVNode, normalizeProps } from 'inferno';

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import classNames from 'classnames';
import { mapToCssModules } from '../utils';
import Dropdown from '../Dropdown';

var defaultProps = {
  tag: 'li'
};

var NavDropdown = function NavDropdown(props) {
  var className = props.className,
      cssModule = props.cssModule,
      Tag = props.tag,
      attributes = _objectWithoutProperties(props, ['className', 'cssModule', 'tag']);

  var classes = mapToCssModules(classNames(className, 'nav-item'), cssModule);

  return normalizeProps(createComponentVNode(2, Dropdown, Object.assign({}, attributes, {
    'tag': Tag,
    'className': classes
  })));
};

NavDropdown.defaultProps = defaultProps;

export default NavDropdown;