function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import { createElement } from 'inferno-create-element';
import classNames from 'classnames';
import { mapToCssModules } from '../utils';

var defaultProps = {
  tag: 'li'
};

var NavItem = function NavItem(props) {
  var children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      Tag = props.tag,
      attributes = _objectWithoutProperties(props, ['children', 'className', 'cssModule', 'tag']);

  var classes = mapToCssModules(classNames(className, 'nav-item'), cssModule);

  Object.assign(attributes, { className: classes });

  return createElement(Tag, attributes, children);
};

NavItem.defaultProps = defaultProps;

export default NavItem;