function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import classNames from 'classnames';
import { createElement } from 'inferno-create-element';
import { mapToCssModules } from './utils';

var defaultProps = {
  tag: 'ul'
};

var Pagination = function Pagination(props) {
  var children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      size = props.size,
      Tag = props.tag,
      attributes = _objectWithoutProperties(props, ['children', 'className', 'cssModule', 'size', 'tag']);

  var classes = mapToCssModules(classNames(className, 'pagination', _defineProperty({}, 'pagination-' + size, !!size)), cssModule);

  Object.assign(attributes, { className: classes });

  return createElement(Tag, attributes, children);
};

Pagination.defaultProps = defaultProps;

export default Pagination;